Subject: Re: [bug#55231] [PATCH v6 1/4] Allow copying of out-of-tree modules to the Linux initrd.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 21 Feb 2025 11:17:50 +0100

Maxim Cournoyer <[email-masked]> skribis:

> From: Brian Cully <[email-masked]>
>
> With this patch, modules for ‘initrd-modules’ will not only be searched for in
> the in-tree Linux modules, but also any additional modules specified in
> ‘kernel-loadable-modules’.
>
> * gnu/build/linux-modules.scm (find-module-file): Change DIRECTORY argument to
> DIRECTORIES.  Now takes a list of directories to search, rather than a single
> one.
> * gnu/system/linux-initrd.scm (flat-linux-module-directory): change LINUX
> argument to PACKAGES. Now contains a list of file-like objects to search for
> modules.
> (raw-initrd): Add LINUX-EXTRA-MODULE-DIRECTORIES keyword argument.  Pass it
> to (flat-linux-module-directory) along with the selected LINUX package.
> (base-initrd): Add LINUX-EXTRA-MODULE-DIRECTORIES keyword argument.  Pass it
> to (raw-initrd).
> * gnu/system.scm (operating-system-initrd-file): Pass in operating system
> definition's kernel-loadable-modules into (make-initrd) as
> LINUX-EXTRA-MODULE-DIRECTORIES.
> * doc/guix.texi (Initial RAM Disk): Document how out-of-tree modules can be
> used.
>
> Change-Id: Ic39f2abcfabc3ec34a71acce840038396bf9c82e
> Signed-off-by: Maxim Cournoyer <[email-masked]>
> Modified-by: Maxim Cournoyer <[email-masked]>

I haven’t tried running system tests or anything but it looks great to
me!

Clearly it was a bug that ‘kernel-loadable-modules’ was not taken into
account.

BTW, I (and I think others) would usually use the “Co-authored-by” tag
rather than “Modified-by”.

Thanks,
Ludo’.